Name:           python-bpf4
Version:        1.13.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Piece-wise interpolation and lazy evaluation in cython

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/gesellkammer/bpf4
Source:         %{pypi_source bpf4}

BuildRequires:  python3-devel
BuildRequires:  gcc


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'bpf4' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-bpf4
Summary:        %{summary}

%description -n python3-bpf4 %_description


%prep
%autosetup -p1 -n bpf4-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-bpf4 -f %{pyproject_files}


%changelog
%autochangelog